//定义一些常用的方法，这是dever框架中自带的常用方法，必须引入jquery

if ($('#input').length) {
	var submit_value = $('#input').val();
	var submit_input = eval('(' + submit_value + ')');
} else {
	var submit_input = {};
}

//更新用户信息
function updateUser(url)
{
	var username = $("#username").val();
	var sex = $("#sex").val();
	var send = {}
	send.username = username;
	send.sex = sex;
	send.edit = 1;
	if (url) {
		send.avatar = url;
	}
	$.get(Dever.Host('task', 'user.set?json=1'), send);
}

$(function(){
	if ($("#username").length) {
		$("#username").keydown(function(event){
			if(event.which == 13) {
				updateUser();
			}
		});
	}
	
	if ($("#quit").length) {
		$("#quit").click(function(event){
			if(confirm('确定退出吗？')) {
				var url = $(this).attr('url');
				location.href = url;
			}
		});
	}
})


//定义瀑布流
Dever.Page().name = '#page';
Dever.Page().loading = '.loadding';

//定义默认的alert
Dever.modal = new Dever.Modal();
Dever.modal.html = '<section class="notify" style="display:none;">身份证号最多18位</section>';
Dever.modal.box = '.notify';
Dever.modal.content = '.notify';
Dever.modal.timeout = 2000;
Dever.modal.Init();

//定义金币页的弹窗
var layer = new Dever.Modal();
layer.html = '<section class="layer show" style="display:none;"><section class="layer-cont convert-result"><img src="'+config.assets+'mobile/images/f936ea19.giftbox.png" alt=""><h3>兑现成功</h3><dl><dt>本次兑现12金币</dt><dd><p>兑现途径：微信</p><p>申请兑现时间：2018-05-21 15:08<br> 兑现完成时间：2018-05-21 15:08</p></dd><dd><a href="javascript:;" class="button">确定</a></dd></dl></section></section>';
layer.box = '.show';
layer.title = '.show h3';
layer.content = '.show dl';
layer.yes = '.show .button';
layer.no = '.show .button';
layer.timeout = 2000;
layer.Init();
layer.Show = function(e)
{
	var self = this;
	var title = e.attr('layer-title');
	var info = e.attr('layer-info');
	var desc = e.attr('layer-desc');
	var cash_desc = e.attr('layer-cash_desc');
	var layer_class = e.attr('layer-class');
	self.title.html(title);
	self.content.find('dt').html(info);
	if (cash_desc) {
		self.content.find('p').eq(0).html(cash_desc);
	} else {
		self.content.find('p').eq(0).html('');
	}
	var c = 'layer-cont convert-result';
	if (layer_class) {
		layer.box.find('.convert-result').attr('class', c + ' ' + layer_class);
	} else {
		layer.box.find('.convert-result').attr('class', c);
	}
	self.content.find('p').eq(1).html(desc);
	self.box.show();
	var callback = {};
	callback.yes = function()
	{
		self.box.hide();
	}
	self.Bind(callback);
};

//定义金币页的confirm
var certify = new Dever.Modal();
certify.html = '<section class="layer confirm" style="display:none;"><section class="layer-cont convert-alert"><h3>提示</h3><p>资料认证通过后才能兑换金币</p><section class="btns"><a href="javascript:;" class="button org no">取消</a><a href="javascript:;" class="button yes">立即认证</a></section></section></section>';

certify.box = '.confirm';
certify.content = '.confirm p';
certify.yes = '.confirm .button';
certify.no = '.confirm .no';
certify.timeout = 2000;
certify.Init();
certify.Show = function(url)
{
	var self = this;
	var msg = $('#certify').attr('msg');
	var callback = {};
	callback.yes = function()
	{
		location.href = url;
	}
	self.Confirm(msg, callback);
};


//定义用户相关的一些信息
Dever.User().disable = 'disable';
Dever.User().config = 
{
	//初始化，绑定click
	'click' : 
	{
		//登录
		0 : '#login'
		//注册
		,1 : '#reg'
		//领取任务
		,2 : '.dever_task_submit'
		//提交报告
		,3 : '#dever_report_submit'
		//获取验证码
		,4 : '#mcode_button'
		//完善资料
		,5 : '#set'
		//找回密码
		,6 : '#forget'
		//资料认证
		,7 : '#submit'
		//兑现
		,8 : '#exchange'
		//修改昵称
		,9 : '#edit'
	}

	//登录信息
	,0 :
	{
		'input' :
		{
			'mobile' : '#mobile'
			,'password' : '#password'
			,'refer' : '#refer'
		}
		//错误提示的div
		//,'status' : '.alert'
		//错误提示
		,'error' : '您的手机号或密码错误'
		//登录要提交的url
		,'url' : Dever.Host('passport', 'login.action')
	}

	//注册信息
	,1 :
	{
		'input' :
		{
			'mobile' : '#mobile'
			,'mcode' : '#mcode'
			,'username' : '#mobile'
			,'password' : '#password'
			,'cpassword' : '#password'
			,'refer' : '#refer|'
		}
		//错误提示的div
		//,'status' : '.alert'
		//错误提示
		,'error' : '您填写的信息有误'
		//登录要提交的url
		,'url' : Dever.Host('passport', 'reg.action')
	}
	
	//领取任务
	,2 :
	{
		'input' : 'click'
		//错误提示的div
		//,'status' : '#dever_alert'
		//错误提示
		,'error' : '您填写的信息有误'

		//发表成功后，调用的callback
		,'callback' : function(e, msg, result)
		{
			Dever.Out(msg);
			$('.ctrls').eq(0).hide();
			$('.ctrls').eq(1).show();
			$('.ctrls').eq(1).find('a').attr('href', $("#report_link").val());
		}
	}

	//提交报告
	,3 :
	{
		'input' : submit_input
		
		//错误提示的div
		//,'status' : '#dever_alert'
		//错误提示
		,'error' : '您填写的信息有误'
		//发表成功后，调用的callback
		,'callback' : function(e, msg)
		{
			Dever.Out(msg);
			//location.href = $("#location").val();
			history.go(-1);
		}
	}
	
	//获取验证码
	,4 :
	{
		'input' :
		{
			'mobile' : '#mobile'
		}
		//错误提示的div
		//,'status' : '#dever_alert'
		//错误提示
		,'error' : '请填写手机号'

		//发表成功后，调用的callback
		,'callback' : function(e, msg, result)
		{
			Dever.Out(msg);
			Dever.Time(e, 60, '重新获取');
		}
	}

	//完善资料
	,5 :
	{
		'input' :
		{
			'username' : '#username'
			,'code' : '#code|'
			,'sex' : '#sex|'
			,'refer' : '#refer|'
		}
		//错误提示的div
		//,'status' : '.alert'
		//错误提示
		,'error' : '您填写的信息有误'
		//登录要提交的url
		//,'url' : Dever.Host('task', 'user.set')
	}

	//找回密码
	,6 :
	{
		'input' :
		{
			'mobile' : '#mobile'
			,'mcode' : '#mcode'
			,'password' : '#password'
			,'cpassword' : '#password'
			,'refer' : '#refer|'
		}
		//错误提示的div
		//,'status' : '.alert'
		//错误提示
		,'error' : '您填写的信息有误'
		//登录要提交的url
		,'url' : Dever.Host('passport', 'reg.forget')
	}

	//资料认证
	,7 :
	{
		'input' :
		{
			'truename' : '#truename'
			,'card' : '#card'
			,'card_front' : '#card_front'
			,'card_end' : '#card_end'
			,'wechat' : '#wechat|#alipay'
			,'alipay' : '#alipay|#wechat'
		}
		//错误提示的div
		//,'status' : '.alert'
		//错误提示
		,'error' : '您填写的信息有误'
	}

	//兑现
	,8 :
	{
		'input' :
		{
			'type' : function() {
				var v = $('.checkgroup .checked').attr('data-val');
				if (v == 'wechat') {
					v = 1;
				} else {
					v = 2;
				}
				return v;
			}
			,'score' : '#score'
		}
		//错误提示的div
		//,'status' : '.alert'
		//错误提示
		,'error' : '您填写的信息有误'
		//登录要提交的url
		,'url' : Dever.Host('task', 'score.submit_commit')

		,'callback' : function(e, msg)
		{
			Dever.Out(msg);
			location.reload();
		}
	}

	//修改昵称
	,9 :
	{
		'input' :
		{
			'username' : '#username'
			,'edit' : '#edit'
		}
		//错误提示的div
		//,'status' : '.alert'
		//错误提示
		,'error' : '请填写昵称'
		,'url' : Dever.Host('task', 'user.set?json=1')
		,'callback' : function(e, msg)
		{
			Dever.Out('修改成功');
			location.reload();
		}
	}

};

//定义上传回调方法
Dever.Upload().callback =
{
	'upload' : function(e, url, close)
	{
		var html = '<li><img src="'+url+'" alt="" style="height:auto;"><em class="ico-img-del '+close+'"></em></li>';

		return html;
	}

	,'uploadCard' : function(e, url, close)
	{
		var parent = e.parent();
		if (parent.find('img').length) {
			parent.find('img').attr('src', url + '?v=' + Date.parse(new Date())).show();
		}

		return false;
	}

	,'uploadAvatar' : function(e, url, close)
	{
		if (e.find('img').length) {
			e.find('img').attr('src', url + '?v=' + Date.parse(new Date())).show();
		}

		updateUser(url);
		return false;
	}
};
