<?php
$title = '我的账户';

$view

# 公共页面，这种方式不会更改前端代码，还有一种方式可以参考manage组件
->import('inc/head,inc/menu')

# 设置全局变量
->set('title', $title)
# 这个变量控制不同页面的样式和js文件
->set('name', 'myaccount')
->set('nav', 'user')
# 定义header>span的html为$title
->fetch('header span',    $title)

->set('info', 'task/user.one') 

->render('info', array
(
    '.wrapper' => array
    (
        '.profile' => array
        (
            'onclick' => 'location.href=\'<{Dever::url("user/update", "main")}>\'',
            'style' => 'cursor:pointer',
        ),
        'img' => array
        (
            'src' => '$v.avatar',
        ),

        'dt' => '$v.username',
        '.mini-button' => array
        (
            'style' => '<{$v.group_name ? "" : "display:none;"}>',
            'html' => '<{$v.group_name}>',
        ),

        '.arrow-r|0' => array
        (
            'href' => '<{Dever::url("user/score", "main")}>',
        ),
        '.arrow-r|1' => array
        (
            'href' => '<{Dever::url("user/info", "main")}>',
        ),
        '.arrow-r|2' => array
        (
            'href' => '<{Dever::url("user/group", "main")}>',
        ),
        '.arrow-r|3' => array
        (
            'href' => '<{Dever::url("user/group_code", "main")}>',
        ),
        '.arrow-r|4' => array
        (
            'href' => '<{Dever::url("user/msg", "main")}>',
        ),
        '.arrow-r|5' => array
        (
            'href' => '<{Dever::url("help/list", "main")}>',
        ),

        'a|6' => array
        (
            'href' => '#',
            'html' => '<span>在线客服微信</span><span><{Dever::load("main/config-one#wechat")}></span>',
        ),

        '.ntc' => array
        (
            'html' => '$v.msg',
            'style' => '<{$v.msg > 0 ? "" : "display:none;"}>',
        ),

        '.button' => array
        (
            'href' => 'javascript:;',
            'id' => 'quit',
            'url' => '$v.quit',
        ),
    ), 
))

->import('inc/foot')

->display();