<?php


$status = array
(
	1 => '审核中',
	2 => '已审核',
	3 => '未审核',
);

return array
(
	# 表名
	'name' => 'user_group',
	# 显示给用户看的名称
	'lang' => '用户战队',
	'menu' => 'passport',
	'order' => 18,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '队长用户名',
			'default' 	=> '',
			'desc' 		=> '队长用户名',
			'match' 	=> 'is_numeric',
			//'update'	=> 'text',
			'search'	=> array
			(
				'api' => 'passport/user-all',
				'col' => 'username',
				'result' => 'id',
			),
			'list'		=> 'Dever::load("passport/user-one#username", {uid})',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-180',
			'name' 		=> '战队名',
			'default' 	=> '',
			'desc' 		=> '战队名',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			//'list'		=> true,
		),

		'code'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '邀请码',
			'default' 	=> '',
			'desc' 		=> '邀请码',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '审核状态',
			'default' 	=> '2',
			'desc' 		=> '审核状态',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $status,
			'search'	=> 'select',
			//'list'		=> true,
			//'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '注册时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		'insert' => false,
		'edit' => false,
		'delete' => false,
		# 列表
		'list_button' => array
		(
			'list' => array('战队成员', '"user_group_member&project=task&search_option_group_id={id}&oper_parent=user_group&oper_project=task"'),
		),
	),
);
