<?php

# 一些基本配置
$config['base'] = array
(
	# 名称
	'name' => '嗨赚任务系统',
	# 版本配置
	'version' => '1.0.0 Beta',

	# 分销级数
	'level' => 1,

	'apiConfig' => true,
	'apiSignature' => 'db',

	'qrcode' => array
	(
		# 二维码类型：google、php、jquery 暂时只支持php
		'type' => 'php',
		# 是否生成本地文件
		'local' => false,
		# 大小
		'size' => 15,
	),

	# 站点使用邮箱还是手机作为主账号，如果是手机，请填写手机验证码的配置接口
	'account' => 'mobile',
	# 性别转换 passport里1为男、2为女 3为未知，如果前端定义与这个不同，请做好转换
	'sex' => array
	(
		# 前面的索引为前端传过来的值
		0 => 1,
		1 => 2,
		2 => 3,
	),
	'mobileCode' => array
	(
		# debug模式
		'debug' => true,
		# 发送短信的接口
		'url' => 'https://feginesms.market.alicloudapi.com/codeNotice',
		# 发送方法 get、post
		'method' => 'get',
		# 是否json编码
		'json' => false,
		# header信息
		'header' => 'Authorization:APPCODE e7183e44ba8e4ccaa3d690510923d3fa',
		# body信息
		'body' => 'param={code}&phone={mobile}&sign={sign}&skin={skin}',
		# 短信模板 发送短信时，请加上参数skin=1
		'skin' => array
		(
			'reg' => 34355,
			'forget' => 34356,
			'cash' => 34357,
		),
		# 短信签名
		'sign' => 45336,
		# 验证码有效期 默认10分钟
		'timeout' => 600,
		# 一天之内的最大发送次数，默认为10次
		'total' => 10000,
		# 不允许多久之内重复发送，默认为60秒
		'time' => 60,
		# 验证码长度
		'length' => 6,
	),
	# 注册成功后，调取的接口
	'regAction' => '',
);

$config['template'] = array
(
	# 静态页面目录
	'assets' => 'mobile',

	# 模板编译器目录
	'template' => 'mobile',

	# 模板html文件的所在目录，默认为html
	'path' => '',

	'replace' => array
	(
		'css' => './css/',
		'js' => './js/',
		'images' => 'images/',
	),
);

return $config;