<?php
$title = '领任务';

$view

# 公共页面，这种方式不会更改前端代码，还有一种方式可以参考manage组件
->import('inc/head,inc/menu')

# 设置全局变量
->set('title', $title)
# 这个变量控制不同页面的样式和js文件
->set('name', 'tasks')
->set('nav', 'task') 
# 定义header>span的html为$title
->fetch('header span',    $title)


# 循环
->loop
(
    '.tasklist .task',
    'task/info.all',
    array
    (
        'dt' => '$v.name',

        '.ico-jc' => '<{$v.cate.name}>',
        '.ico-person' => '<{$v.user_num}>人领取',
        '.ico-time' => '任务到期：<{$v.edate_str}>',

        '.tk-coin span|0' => array
        (
            'html' => '$v.list_score'
        ),
        '.tk-coin span|1' => array
        (
            'html' => '$v.list_group_score'
        ),

        'a' => array
        (
            'href' => '$v.link',
        ),
    )
)

->fetch('.topbg@style', '<{Dever::load("task/info.all") ? "" : "display:none"}>')

# 暂无记录
->append('.wrapper', '<div id="page" dever-page-link="<{Dever::pageInfo()["link"]}>" dever-page-list=".tasklist"></div><{Dever::load("task/info.all") ? "" : \'<section class="no-result">
        <section class="no-notice-wrapper">
            <img src="'.Dever::assets("5dcefa7b.no-records.png", "images").' alt="">
            <p>暂无记录</p>
        </section>
    </section>\'}>')

->import('inc/foot')

->display();