<?php
$title = '我提交的任务报告';

$view

# 公共页面，这种方式不会更改前端代码，还有一种方式可以参考manage组件
->import('inc/head')

# 设置全局变量
->set('title', $title)
# 这个变量控制不同页面的样式和js文件
->set('name', 'reportlist')
->set('nav', 'user_task') 
# 定义header>span的html为$title
->fetch('header span',    $title)
->fetch('header a@href', '<{Dever::url("user/task?type=" . Dever::input("type"), "main")}>')


->fetch(array('.tabs a@class', 0), '<{Dever::input("type", 1) == 1 ? "cur" : ""}>')
->fetch(array('.tabs a@class', 1), '<{Dever::input("type", 1) == 2 ? "cur" : ""}>')
->fetch(array('.tabs a@href', 0), '<{Dever::url("user/task?type=1", "main")}>')
->fetch(array('.tabs a@href', 1), '<{Dever::url("user/task?type=2", "main")}>')

# 循环
->loop
(
    '.reportlist .report',
    'task/report.all',
    array
    (
        'dt' => array
        (
            'style' => '<{$v.name ? "" : "display:none"}>',
            'html' => '$v.name',
        ),

        '.tk-tit|0' => array
        (
            'style' => '<{strstr(Dever::load("task/info.one#report_demand"), "pic") ? "" : "display:none"}>',
        ),
        '.tk-imgs' => array
        (
            'style' => '<{strstr(Dever::load("task/info.one#report_demand"), "pic") ? "" : "display:none"}>',
        ),
        '.tk-imgs img|$v.img' => array
        (
            'src' => '<{Dever::pic($v1.url, "t1,c1")}>',
            'style' => 'width: auto;',
        ),


        '.tk-tit|1' => array
        (
            'style' => '<{strstr(Dever::load("task/info.one#report_demand"), "link") ? "" : "display:none"}>',
        ),
        '.tk-text|0' => array
        (
            'html' => '$v.link',
            'style' => '<{strstr(Dever::load("task/info.one#report_demand"), "link") ? "" : "display:none"}>',
        ),

        '.tk-tit|2' => array
        (
            'style' => '<{strstr(Dever::load("task/info.one#report_demand"), "desc") ? "" : "display:none"}>',
        ),
        '.tk-text|1' => array
        (
            'html' => '$v.desc',
            'style' => '<{strstr(Dever::load("task/info.one#report_demand"), "desc") ? "" : "display:none"}>',
        ),

        'dd|6' => array
        (
            'class' => '$v.audit_icon',
            'html' => '$v.audit_desc',
        ),
    )
)


->fetch('.transp@href', '<{Dever::load("task/info.one#button_status") == 5 ? Dever::url("task/submit?id=" . Dever::input("id") . "&nonce=" . Dever::id(), "main") : "javascript:;"}>')

->fetch('.transp@class', 'button <{Dever::load("task/info.one#button_status") == 5 ? "transp" : "disable"}>')



# 暂无记录
->fetch('.no-result', '<section class="no-notice-wrapper"><img src="'.Dever::assets("6713b0c1.no-report.png", "images").'" alt=""><p>您还没有提交任务报告</p><{if (Dever::load("task/info.one#button_status") == 5):}><a href="<{Dever::url("task/submit?id=".Dever::input("id")."&nonce=" . Dever::id(), "main")}>" class="button">提交报告</a><{else:}><a href="javascript:;" class="button disable">提交报告</a><{endif}></section>')

->fetch('.no-result@style', '<{if (count(Dever::load("task/report.all")) > 0):}>display:none;<{endif}>')

->fetch('.wrapper@style', '<{if (count(Dever::load("task/report.all")) <= 0):}>display:none;<{endif}>')


->append('.wrapper', '<div id="page" dever-page-link="<{Dever::pageInfo()["link"]}>" dever-page-list=".wrapper"></div>')


->import('inc/foot')

->display();