<?php
$title = '我的账户';
$view

# 公共页面，这种方式不会更改前端代码，还有一种方式可以参考manage组件
->import('inc/head')

->set('info', 'task/score.user') 
# 设置全局变量
->set('title', $title)
# 这个变量控制不同页面的样式和js文件
->set('name', 'cions')
->set('nav', 'user') 
# 定义header>span的html为$title
->fetch('header span',    $title)

->append('header', '<a href="<{Dever::url("user/account", "main")}>" class="back"></a>')

->render('info', array
(
    '.wrapper' => array
    (
        '.cions-count' => array
        (
            'html' => '<i class="ico-cions"></i><{$v.score}>',
        ),

        '.button' => array
        (
            'html' => '<{Dever::load("main/config-one#score_name")}>兑换',
            'href' => '$v.exchange',
            'msg' => '资料认证通过后才能兑换金币',
            'id' => 'certify',
        ),
    ), 
))

# 循环
->loop
(
    '.records-list li',
    'task/score.logs',
    array
    (
        'self' => array
        (
            'layer-title' => '$v.status',
            'layer-info' => '$v.info',
            'layer-desc' => '$v.desc',
            'layer-cash_desc' => '$v.cash_desc',
            'layer-class' => '$v.class',
            'style' => 'cursor:pointer;',
            'onclick' => 'layer.Show($(this))',
        ),
        'span|0' => array
        (
            'html' => '$v.date',
        ),
        'span|1' => array
        (
            'html' => '$v.score',
        ),
        'span|2' => array
        (
            'html' => '$v.status',
            'class' => '$v.icon',
        ),
    )
)

->fetch('.layer@style', 'display:none;')

->append('.wrapper', '<div id="page" dever-page-link="<{Dever::pageInfo()["link"]}>" dever-page-list=".wrapper"></div>')

# 暂无记录
->append('.records', '<{Dever::load("task/score.logs") ? "" : \'<section class="no-result">
            <img src="'.Dever::assets("5dcefa7b.no-records.png", "images").'" alt="">
            <p>暂无记录</p>
        </section>\'}>') 

->import('inc/foot')

->display();