<?php


return array
(
    # 表名
    'name' => 'company',
    # 显示给用户看的名称
    'lang' => '商家管理',
    'order' => 3,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            //'search'  => 'order',
            'order'     => 'desc',
            'list'      => true,
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-60',
            'name'      => '商家名称',
            'default'   => '',
            'desc'      => '商家名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'link'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '商家网址',
            'default'   => '',
            'desc'      => '商家网址',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),
    
    'manage' => array
    (
        //'insert' => false,
        //'edit' => false,
        //'delete' => false,
    ),
);
